=== test/BRepMesh_test/CMakeLists.txt ===
if (OCE_MODEL)
	add_oce_test(BRepMesh_test "TKernel;TKBRep;TKMath;TKTopAlgo;TKPrim;TKMesh")
endif (OCE_MODEL)
