=== debian/changelog ===
oce (0.17.1-1ubuntu0.1) xenial; urgency=medium

  * Backport 0.17-1-2 from Yakkety as an SRU, including changes:
    + Build-Depend on libfreeimageplus-dev instead of libfreeimage-dev
      in order to build with freeimage >= 3.17.0.
    + Rebuild against freeimage >= 3.17.0 to pick up correct library path
      in OCE04_VisualizationTargets-relwithdebinfo.cmake. (LP: #1556680)
    + Install files in /usr/lib/$(DEB_HOST_MULTIARCH)/oce-0.17. (LP: #1556685)

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 22 May 2016 15:08:27 +0200

oce (0.17.1-2) unstable; urgency=medium

  * [c0ec604] Build against libfreeimageplus-dev. (Closes: #823839)

 -- Anton Gladky <gladk@debian.org>  Tue, 10 May 2016 22:33:27 +0200

oce (0.17.1-1) unstable; urgency=medium

  * Upload into unstable. Transition is not requested,
    because 2 of 3 deps require source-uploads.

 -- Anton Gladky <gladk@debian.org>  Fri, 29 Jan 2016 13:04:56 +0100

oce (0.17.1-1~exp1) experimental; urgency=medium

  * [d2d06db] Imported Upstream version 0.17.1
  * [a230bfd] Update install-files for 0.17.1
  * [5348aae] Apply cme fix dpkg.
  * [4d2f6d2] Remove menu-file.
  * [c046019] Add myself to uploaders.

 -- Anton Gladky <gladk@debian.org>  Thu, 28 Jan 2016 10:51:19 +0100

oce (0.15-8) unstable; urgency=medium

  * Team upload.
  * [98c68ad] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Mon, 25 Jan 2016 15:16:18 +0100

oce (0.15-7) unstable; urgency=medium

  * Team upload.
  * Disable BRepAlgoAPI test. (Closes: #798760)

 -- Anton Gladky <gladk@debian.org>  Thu, 08 Oct 2015 22:21:06 +0200

oce (0.15-6) unstable; urgency=medium

  * Team upload.
  * Disable BRepOffsetAPI unittest. (Closes: #778032)

 -- Anton Gladky <gladk@debian.org>  Mon, 13 Jul 2015 21:21:17 +0200

oce (0.15-5) unstable; urgency=medium

  * debian/patches/fix-Mesa-failures.patch: New patch, to fix
    FTBFS failures with recent Mesa.  Closes: #768750

 -- Denis Barbier <barbier@debian.org>  Mon, 10 Nov 2014 14:22:08 +0000

oce (0.16-2) experimental; urgency=medium

  * debian/liboce-foundation9.lintian-overrides: overrides
    binary-or-shlib-defines-rpath lintian warning, libTKernel.so has
    to dlopen shared libraries (a.k.a plugins) which have been put
    into a private repository.

 -- Denis Barbier <barbier@debian.org>  Tue, 22 Jul 2014 19:21:02 +0200

oce (0.16-1) experimental; urgency=medium

  * New upstream version.
  * debian/control: drop dependency on libxmu-dev, it is no more used.
  * debian/patches/NCollection-align-64bit.patch: Patch dropped,
    applied upstream.
  * debian/patches/include-oce-config.patch: Patch dropped, applied
    upstream.

 -- Denis Barbier <barbier@debian.org>  Sat, 19 Jul 2014 18:53:31 +0200
