## oce 0.17.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
 set(OCE_VERSION_MINOR 17)
 # OCE_VERSION_PATCH is used for bugfixes releases only
 # (uncomment following line)
-set(OCE_VERSION_PATCH 1)
+set(OCE_VERSION_PATCH 2)
 #  Empty for official releases, set to -dev, -rc1, etc for development releases
 set(OCE_VERSION_DEVEL)
