=== test/BRepPrimAPI_test/CMakeLists.txt ===
if (OCE_MODEL)
	add_oce_test(BRepPrimAPI_test "TKPrim")
endif (OCE_MODEL)
