=== debian/changelog ===
oce (0.17.2-2ubuntu2) artful; urgency=medium

  * Fix remaining build failure on i386 due to the wrong LD_LIBRARY_PATH.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Sep 2017 14:20:01 -0700

oce (0.17.2-2ubuntu1) artful; urgency=medium

  * Run dh_auto_test with LD_LIBRARY_PATH, so we find the local objects for
    dlopen.
  * debian/patches/no-xlocale.h-for-glibc-2.26.patch: Omit xlocale.h,
    not needed and not available in glibc 2.26.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Sep 2017 20:06:42 +0000

oce (0.17.2-2) unstable; urgency=medium

  [ Janus Weil ]
  * [c25582f] Prevent DRAWEXE from being added to OCE_LIBRARIES.

 -- Anton Gladky <gladk@debian.org>  Fri, 14 Apr 2017 22:35:14 +0200

oce (0.17.2-1) unstable; urgency=medium

  * [776089c] Imported Upstream version 0.17.2
  * [b7ab920] Refresh patches, remove old ones.

 -- Anton Gladky <gladk@debian.org>  Thu, 16 Jun 2016 23:05:30 +0200
