=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,10 @@
 LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_HOST_ARCH_BITS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)
+UNAME := $(shell uname -m)
+DEBUG_PATH := obj-$(DEB_HOST_GNU_TYPE)/Unix/$(UNAME)-RelWithDebInfo-$(DEB_HOST_ARCH_BITS)
 
 ifeq ($(findstring parallel=,$(DEB_BUILD_OPTIONS)),)
 	export DEB_BUILD_OPTIONS+=parallel=$(shell getconf _NPROCESSORS_ONLN)
@@ -59,3 +63,6 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -Noce-draw
+
+override_dh_auto_test:
+	LD_LIBRARY_PATH=$(CURDIR)/$(DEBUG_PATH) dh_auto_test
